library(tidyverse)


read_csv("summary.csv")-> s

hum_names <- as_labeller(c(`obj_per_sec` = "Objects/sec", `mbyte_per_sec` = "MByte/sec"))


ggplot(s, aes(x=value,y=config)) +
  geom_bar(stat="identity", fill="#00BFC4", color="black") +
  facet_wrap(~measurement,dir="v", scales = "free", labeller = hum_names) +
  scale_x_continuous(expand=c(0,0), breaks = scales::pretty_breaks(n = 10))+
  labs(
    y="Daemon",
    x="Metric",
    caption="Get the code to reproduce this graph at https://git.deuxfleurs.fr/Deuxfleurs/mknet",
    title="\"minio/warp\" benchmark, \"cluster total\" result",
    subtitle="Ran on a local machine (Ryzen 5 1400, 16GB RAM, SSD) with mknet\nDC topology (3 nodes, 1GB/s, 1ms lat)\nwarp in mixed mode, 5min bench, 5MB objects, initialized with 200 objects") +
  theme_classic() 

ggsave("./plot.png", width=200, height=120, units="mm")
