library(tidyverse)
read_csv("garage-v0.8-beta2-lmdb.csv") %>% mutate(batch_dur_sec = batch_dur_nanoseconds / 1000 / 1000 / 1000 ) -> s

ggplot(s, aes(x=total_objects, y=batch_dur_sec)) +
  geom_point() +
  geom_smooth(method = "gam", se = FALSE) + 
  labs(
    y="Time spent sending a batch (8192 objects)",
    x="Total number of objects stored in the cluster",
    caption="Get the code to reproduce this graph at https://git.deuxfleurs.fr/Deuxfleurs/mknet",
    title="Storing 1M+ files on Garage! Impact of existing data on cluster interactiveness",
    subtitle="Daemon: Garage v0.8 beta 2 with LMDB as db_engine\nBenchmark: 128 batch. 8192 objects/batch. 32 threads/batch. 256 objects/thread. 16-byte/objects.\nEnvironment: mknet (Ryzen 5 1400, 16GB RAM, SSD). DC topo (3 nodes, 1Gb/s, 1ms latency).") +
  theme_classic()
ggsave("./plot.png", width=200, height=120, units="mm")
